package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRole;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleSearchContext;

/**
 * 实体[UserRole] 服务对象接口
 */

public interface IUserRoleService{
     boolean create(UserRole userRole) ;
     boolean save(UserRole userRole) ;
     boolean update(UserRole userRole) ;
     boolean checkKey(UserRole userRole) ;
     UserRole get(String userRoleId) ;
     UserRole get(UserRole userRole) ;
     boolean remove(String userRoleId) ;
     UserRole getDraft(UserRole userRole) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRole> searchDefault(UserRoleSearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<UserRole> selectBySystem(String systemid) ;
     List<UserRole> selectBySystem2(String systemid);

}
